OpenMM

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Pages
Public Member Functions | Public Attributes | List of all members
Atom Class Reference

An Atom object represents a residue within a Topology. More...

Inheritance diagram for Atom:

## Public Member Functions
def | __init__
| Construct a new Atom. More...

## Public Attributes
| name
| The name of the Atom. More...
| element
| That Atom's element. More...
| index
| The index of the Atom within its Topology. More...
| residue
| The Residue this Atom belongs to. More...
| id
| A user defined identifier for this Atom. More...

## Detailed Description

An Atom object represents a residue within a Topology.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | name,
|  |  | element,
|  |  | index,
|  |  | residue,
|  |  | id
| ) |  |

Construct a new Atom.

You should call addAtom() on the Topology instead of calling this directly.

## Member Data Documentation

element

That Atom's element.

Referenced by ForceField.registerScript().

id

A user defined identifier for this Atom.

index

The index of the Atom within its Topology.

Referenced by ForceField.registerScript().

name

The name of the Atom.

Referenced by Element.__repr__(), Element.__str__(), Modeller.addSolvent(), and ForceField.registerScript().

residue

The Residue this Atom belongs to.

The documentation for this class was generated from the following file:

- topology.py